Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.search.controls
Interface GsFullTextSearchControl<T extends ContentBase>

All Superinterfaces
  FullTextSearchControl<T>, RepoFullTextSearchControl<T>, SearchControl<T>

    public interface GsFullTextSearchControl<T extends ContentBase>

extends RepoFullTextSearchControl<T>

This class is used to build an execute FullTextSearch searches on data that is restricted to GroupSpace. It cannot be used to search any other CM repository, nor can it be used to search enterprise-scoped repositories.

This control is automatically scoped to search the current GroupSpace instance as well as the current user's data. It cannot be scoped to search other GroupSpace instances, which are not accessible for security reasons. The search path may be modified to refine the search within that GroupSpace data. For example, if you want to search only links, you could get the path to this community using getDefaultSearchPaths() and append it with "/Links".

Instantiate the control in a page flow as follows:

// Full text search control across the GroupSpace repository, not typed, not annotated
`@Control`
GsFullTextSearchControlBean gs_fullTextSearch;

// RichText full text search
`@Control ()`
`@GsFullTextSearchControl.SearchParams(beanType=RichText.class, objectClassName = RichText.TYPE_NAME)`
GsFullTextSearchControlBean <RichText> gsFtRtSearchBean;

// Full text search control across the GroupSpace repository, typed and annotated
`@Control()`
`@GsFullTextSearchControl.SearchParams(maxResults=50, loadAllIntoMemory=true, pageSize=25, limitRelevanceScore=30, batchLoadingSize=25)`
GsFullTextSearchControlBean <CommunityContent> gsFtAnnSearch;

Nested Class Summary
`static interface` | `GsFullTextSearchControl.SearchParams` Set the defaults for search parameters

Method Summary
`String` | `getCommunitySearchPath(HttpServletRequest request)` Get the search path for this GroupSpace community
`String[]` | `getDefaultSearchPaths(HttpServletRequest request)` Get the search path to the user's personal data as well as the current community
`SortOrder` | `getSortOrder()` Get the desired sort order...refers first to sort order found in sortCriteria
`String` | `getUserSearchPath(HttpServletRequest request)` Get the search path for the current user's personal data
`void` | `setSortOrder(SortOrder sortOrder)` Set the desired sort order...modifies sort order of all sortCriteria

Methods inherited from interface com.bea.apps.groupspace.search.controls.RepoFullTextSearchControl
`getAvailableObjectClasses, getFullTextSearchBuilder, getObjectClassProperties, getObjectClassPropertyDefinitions, getPropertySearchBuilder, isCmBinaryDataEncoded, isCmMetadataEncoded, searchProperty, setCmBinaryDataEncoded, setCmMetadataEncoded, setEnableSearchCache, setSearchPath, setSearchPaths`

Methods inherited from interface com.bea.apps.groupspace.search.controls.FullTextSearchControl
`allOfTheseWords, anyOfTheseWords, clearMetadataParameters, getSearchDatabases, getTextSearchBuilder, search, setMetadataParameter, setMetadataParameters, setSearchDatabases, setSearchScope, textContains, textEquals`

Methods inherited from interface com.bea.apps.groupspace.search.controls.SearchControl
`asList, asSet, flushSearchCache, getSortCriteria, setSortCriteria`

Method Detail

### getCommunitySearchPath

    String getCommunitySearchPath(HttpServletRequest request)
                                  throws Exception

  Get the search path for this GroupSpace community

  Throws
    `Exception`

### getUserSearchPath

    String getUserSearchPath(HttpServletRequest request)
                             throws Exception

  Get the search path for the current user's personal data

  Throws
    `Exception`

### getDefaultSearchPaths

    String[] getDefaultSearchPaths(HttpServletRequest request)
                                   throws Exception

  Get the search path to the user's personal data as well as the current community

  Throws
    `Exception`

### getSortOrder

    SortOrder getSortOrder()

  Get the desired sort order...refers first to sort order found in sortCriteria

### setSortOrder

    void setSortOrder(SortOrder sortOrder)

  Set the desired sort order...modifies sort order of all sortCriteria

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved